"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var angle_1 = require("../../unit/angle");
var base_1 = require("../../unit/base");
var SafeMath = require("../math");
var numberMeasure_1 = require("../numberMeasure");
describe("Math", function () {
    it("trig", function () {
        var zeroRadians = numberMeasure_1.Measure.of(0, base_1.radians);
        var zero = numberMeasure_1.Measure.dimensionless(0);
        expect(SafeMath.cos(zeroRadians)).toEqual(numberMeasure_1.Measure.dimensionless(1));
        expect(SafeMath.sin(zeroRadians)).toEqual(zero);
        expect(SafeMath.tan(zeroRadians)).toEqual(zero);
        expect(SafeMath.acos(zero)).toEqual(numberMeasure_1.Measure.of(0.5, angle_1.piRadians));
        expect(SafeMath.asin(zero)).toEqual(zeroRadians);
        expect(SafeMath.atan(zero)).toEqual(zeroRadians);
        expect(SafeMath.atan2(numberMeasure_1.Measure.of(5, base_1.meters), numberMeasure_1.Measure.of(5, base_1.meters))).toEqual(numberMeasure_1.Measure.of(45, angle_1.degrees));
    });
});
//# sourceMappingURL=mathTests.js.map