"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGenericMeasureStaticMethods = function () { return ({
    add: function (left, right) { return left.plus(right); },
    subtract: function (left, right) { return left.minus(right); },
    multiply: function (left, right) { return left.times(right); },
    divide: function (left, right) { return left.over(right); },
    sum: function (first) {
        var rest = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            rest[_i - 1] = arguments[_i];
        }
        var result = first.clone();
        for (var _a = 0, rest_1 = rest; _a < rest_1.length; _a++) {
            var curr = rest_1[_a];
            result = result.plus(curr);
        }
        return result;
    },
    min: function (first) {
        var rest = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            rest[_i - 1] = arguments[_i];
        }
        var min = first;
        for (var _a = 0, rest_2 = rest; _a < rest_2.length; _a++) {
            var curr = rest_2[_a];
            if (curr.lt(min)) {
                min = curr;
            }
        }
        return min;
    },
    max: function (first) {
        var rest = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            rest[_i - 1] = arguments[_i];
        }
        var max = first;
        for (var _a = 0, rest_3 = rest; _a < rest_3.length; _a++) {
            var curr = rest_3[_a];
            if (curr.gt(max)) {
                max = curr;
            }
        }
        return max;
    },
    prefix: function (prefix, multiplier) {
        return function (measure) {
            var symbol = measure.symbol;
            var newSymbol = symbol !== undefined ? "" + prefix + symbol : undefined;
            return measure.scale(multiplier).withSymbol(newSymbol);
        };
    },
}); };
//# sourceMappingURL=genericMeasureStatic.js.map