import { GenericMeasure } from "./genericMeasure";
import { GenericMeasureClass } from "./genericMeasureFactory";
import { NthRootUnit, RadicandUnit, Unit } from "./unitTypeArithmetic";
declare type UnitPreservingUnaryFn<N> = <U extends Unit>(x: GenericMeasure<N, U>) => GenericMeasure<N, U>;
declare type UnitPreservingNaryFn<N> = <U extends Unit>(first: GenericMeasure<N, U>, ...rest: Array<GenericMeasure<N, U>>) => GenericMeasure<N, U>;
interface MeasureStaticMethods {
    abs: UnitPreservingUnaryFn<number>;
    ceil: UnitPreservingUnaryFn<number>;
    floor: UnitPreservingUnaryFn<number>;
    fround: UnitPreservingUnaryFn<number>;
    round: UnitPreservingUnaryFn<number>;
    trunc: UnitPreservingUnaryFn<number>;
    hypot: UnitPreservingNaryFn<number>;
    sqrt<U extends RadicandUnit<2>>(x: Measure<U>): Measure<NthRootUnit<U, 2>>;
    cbrt<U extends RadicandUnit<3>>(x: Measure<U>): Measure<NthRootUnit<U, 3>>;
}
export declare type Measure<U extends Unit> = GenericMeasure<number, U>;
export declare const Measure: GenericMeasureClass<number, MeasureStaticMethods>;
export {};
