import { GenericMeasure } from "./genericMeasure";
import { GenericMeasureType } from "./genericMeasureFactory";
import { SpreadMeasureFunction, UnaryMeasureFunction } from "./genericMeasureUtils";
import { NthRootUnit, RadicandUnit, Unit } from "./unitTypeArithmetic";
interface MeasureStaticMethods {
    abs: UnaryMeasureFunction<number>;
    ceil: UnaryMeasureFunction<number>;
    floor: UnaryMeasureFunction<number>;
    fround: UnaryMeasureFunction<number>;
    round: UnaryMeasureFunction<number>;
    trunc: UnaryMeasureFunction<number>;
    hypot: SpreadMeasureFunction<number>;
    sqrt<U extends RadicandUnit<2>>(x: Measure<U>): Measure<NthRootUnit<U, 2>>;
    cbrt<U extends RadicandUnit<3>>(x: Measure<U>): Measure<NthRootUnit<U, 3>>;
}
export declare type Measure<U extends Unit> = GenericMeasure<number, U>;
export declare const Measure: GenericMeasureType<number, MeasureStaticMethods>;
export {};
