import { NonZeroExponent } from "../exponent";
import { AllowedExponents, DivideUnits, ExponentiateUnit, MultiplyUnits, NthRootUnit, RadicandUnit, Unit, UnitWithSymbols } from "./unitTypeArithmetic";
export declare function dimension<Dim extends string>(dim: Dim, symbol?: string): UnitWithSymbols<{
    [D in Dim]: 1;
}>;
export declare function multiplyUnits<L extends Unit, R extends Unit>(left: UnitWithSymbols<L>, right: UnitWithSymbols<R>): UnitWithSymbols<MultiplyUnits<L, R>>;
export declare function divideUnits<L extends Unit, R extends Unit>(left: UnitWithSymbols<L>, right: UnitWithSymbols<R>): UnitWithSymbols<DivideUnits<L, R>>;
export declare function exponentiateUnit<U extends Unit, N extends AllowedExponents<U>>(unit: UnitWithSymbols<U>, power: N): UnitWithSymbols<ExponentiateUnit<U, N>>;
export declare function nthRootUnit<U extends RadicandUnit<N>, N extends NonZeroExponent>(unit: UnitWithSymbols<U>, root: N): UnitWithSymbols<NthRootUnit<U, N>>;
export declare function sqrtUnit<U extends RadicandUnit<2>>(unit: UnitWithSymbols<U>): UnitWithSymbols<NthRootUnit<U, 2>>;
export declare function cbrtUnit<U extends RadicandUnit<3>>(unit: UnitWithSymbols<U>): UnitWithSymbols<NthRootUnit<U, 3>>;
