"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var numberMeasure_1 = require("../../measure/numberMeasure");
var Trig = require("../../quantity/trig");
var angle_1 = require("../../unit/angle");
var base_1 = require("../../unit/base");
describe("Trig", function () {
    var zeroRadians = numberMeasure_1.Measure.of(0, base_1.radians);
    var zero = numberMeasure_1.Measure.dimensionless(0);
    it("normal", function () {
        expect(Trig.cos(zeroRadians)).toEqual(numberMeasure_1.Measure.dimensionless(1));
        expect(Trig.sin(zeroRadians)).toEqual(zero);
        expect(Trig.tan(zeroRadians)).toEqual(zero);
    });
    it("inverse", function () {
        expect(Trig.acos(zero)).toEqual(numberMeasure_1.Measure.of(0.5, angle_1.piRadians));
        expect(Trig.asin(zero)).toEqual(zeroRadians);
        expect(Trig.atan(zero)).toEqual(zeroRadians);
        expect(Trig.atan2(numberMeasure_1.Measure.of(5, base_1.meters), numberMeasure_1.Measure.of(5, base_1.meters))).toEqual(numberMeasure_1.Measure.of(45, angle_1.degrees));
    });
});
//# sourceMappingURL=trigTests.js.map